Package org.gradle.api.artifacts

## Interface PublishArtifactSet

- All Superinterfaces:
    `Buildable`, `Collection<PublishArtifact>`, `DomainObjectCollection<PublishArtifact>`, `DomainObjectSet<PublishArtifact>`, `Iterable<PublishArtifact>`, `Set<PublishArtifact>`

      public interface PublishArtifactSet
      extends DomainObjectSet<PublishArtifact>, Buildable

  A set of artifacts to be published.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FileCollection` | `getFiles()` |

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface org.gradle.api.DomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

- - ### Method Detail

    - #### getFiles

          FileCollection getFiles()